@echo off
set GLILANG=en

::  -------- Run the Greenstone Editor for Metadata Sets --------

:: This script must be run from within the directory in which it lives
if exist gems4gs3.bat goto start
    if "%GLILANG%" == "en" echo This script must be run from the directory in which it resides.
    if "%GLILANG%" == "es" echo Este guin deber ejecutarse desde el directorio en el que reside.
    if "%GLILANG%" == "fr" echo Ce script doit tre excut  partir du rpertoire dans lequel il se trouve.
    if "%GLILANG%" == "ru" echo  ਯ     ४ਨ,  ன  ᯮ
    goto exit

:start
if "%OS%" == "Windows_NT" goto findGSDL3
    :: Invoke a new command processor to ensure there's enough environment space
    if "%1" == "Second" goto findGSDL3
        command /E:2048 /C %0 Second %1 %2 %3 %4 %5 %6 %7 %8 %9
        goto done

:findGSDL3
echo.
if "%GLILANG%" == "en" echo Greenstone Editor for Metadata Sets (GEMS)
if "%GLILANG%" == "en" echo Copyright (C) 2006, New Zealand Digital Library Project, University Of Waikato
if "%GLILANG%" == "en" echo GEMS comes with ABSOLUTELY NO WARRANTY; for details see LICENSE.txt
if "%GLILANG%" == "en" echo This is free software, and you are welcome to redistribute it

if "%GLILANG%" == "es" echo Editar conjuntos de metadatos (Greenstone Editor for Metadata Sets - GEMS)
if "%GLILANG%" == "es" echo Copyright (C) 2006, New Zealand Digital Library Project, University Of Waikato
if "%GLILANG%" == "es" echo GEMS NO INCLUYE ABSOLUTAMENTE NINGUNA GARANTA.
if "%GLILANG%" == "es" echo Para mayor informacin vea los trminos de la licencia en LICENSE.txt
if "%GLILANG%" == "es" echo Este es un software abierto, por lo que lo invitamos a que lo distribuya de forma gratuita

if "%GLILANG%" == "fr" echo Editer les jeux de mta-donnes (Greenstone Editor for Metadata Sets - GEMS)
if "%GLILANG%" == "fr" echo Copyright (C) 2006, New Zealand Digital Library Project, University Of Waikato
if "%GLILANG%" == "fr" echo GEMS est fourni sans AUCUNE GARANTIE; pour des dtails, voir LICENSE.txt
if "%GLILANG%" == "fr" echo Ceci est un logiciel libre, et vous tes invit  le redistribuer

if "%GLILANG%" == "ru" echo    (Greenstone Editor for Metadata Sets - GEMS)
if "%GLILANG%" == "ru" echo Copyright (C) 2006, New Zealand Digital Library Project, University Of Waikato
if "%GLILANG%" == "ru" echo      ; ⠫ .  ⥪ LICENSE.TXT
if "%GLILANG%" == "ru" echo  - ᢮ ࠭塞 ணࠬ ᯥ祭    ࠭ 

echo.
::  ---- Determine GSDL3HOME ----
set GSDL3SRCPATH=

:: Some users may set the above line manually
if not "%GSDL3SRCPATH%" == "" goto testGSDL3
    :: The default location for the GLI (and thus GEMS) is a subdirectory of Greenston
    set GSDL3SRCPATH=..
    :: If it is set, use the GSDLSRCHOME environment variable 
    if "%GSDL3SRCHOME%" == "" goto testGSDL3
	set GSDL3SRCPATH=%GSDL3SRCHOME%


:testGSDL3
:: Check that the Greenstone installation looks OK
if "%GLILANG%" == "en" echo Checking GSDL3: %GSDL3SRCPATH%
if "%GLILANG%" == "es" echo Revisando GSDL3: %GSDL3SRCPATH%
if "%GLILANG%" == "fr" echo Vrification de GSDL3: %GSDLSRCPATH%
if "%GLILANG%" == "ru" echo ஢ઠ GSDL3: %GSDLSRCPATH%
:: Some users may set the above line manually
if exist "%GSDL3SRCPATH%\gs3-setup.bat" goto prepGSDL3
    echo.
    if "%GLILANG%" == "en" echo The Greenstone installation could not be found, or is incomplete.
    if "%GLILANG%" == "en" echo Try reinstalling Greenstone then running this script again.

    if "%GLILANG%" == "es" echo No se pudo encontrar la instalacin de Greenstone o est incompleta.
    if "%GLILANG%" == "es" echo Trate de reinstalar Greenstone y a continuacin ejecute nuevamente este guin.

    if "%GLILANG%" == "fr" echo L'installation de Greenstone est introuvable ou incomplte. Essayez
    if "%GLILANG%" == "fr" echo de rinstaller Greenstone et excutez ce script  nouveau.

    if "%GLILANG%" == "ru" echo ⠫ Greenstone  뫠    . ஡ ୮
    if "%GLILANG%" == "ru" echo ⠭ Greenstone,  ⥬   ਯ ᭮.
    goto exit

:prepGSDL3
:: Setup Greenstone, unless it has already been done
if not "%GSDL3SRCHOME%" == "" goto doneGSDL3
    cd %GSDL3SRCPATH% 
    call gs3-setup.bat SetEnv > null 
    cd %GSDL3SRCHOME%/gli

:doneGSDL3
:: GSDL3SRCPATH is no longer needed, since GSDL3HOME should now be set
set GSDL3SRCPATH=

:findJava
:: ---- Check Java exists ----
set JAVAPATH=

:: Some users may set the above line manually
if not "%JAVAPATH%" == "" goto testJava

    :: If it is set, use the JAVA_HOME environment variable
    if not "%JAVA_HOME%" == "" goto javahome

    :: Check if Java is on the search path
    echo %PATH%| winutil\which.exe java.exe | winutil\setvar.exe JAVAPATH > setjava.bat
    call setjava.bat
    del setjava.bat
    if not "%JAVAPATH%" == "" goto testJava

    :: Still haven't found anything, so try looking in the registry (gulp!)
    type nul > jdk.reg
    regedit /E jdk.reg "HKEY_LOCAL_MACHINE\SOFTWARE\JavaSoft\Java Development Kit"
    type jdk.reg > jdk.txt
    del jdk.reg
    type nul > jre.reg
    regedit /E jre.reg "HKEY_LOCAL_MACHINE\SOFTWARE\JavaSoft\Java Runtime Environment"
    type jre.reg > jre.txt
    del jre.reg

    winutil\findjava.exe jdk.txt jre.txt | winutil\setvar.exe JAVAPATH > setjava.bat
    del jdk.txt
    del jre.txt
    call setjava.bat
    del setjava.bat

    :: If nothing was found in the registry, we're stuck
    if "%JAVAPATH%" == "" goto noJava

    set JAVAPATH=%JAVAPATH%\bin
    goto testJava

:javahome
    set JAVAPATH=%JAVA_HOME%\bin

:testJava
:: Check that a Java executable has been found
if "%GLILANG%" == "en" echo Checking Java: %JAVAPATH%
if "%GLILANG%" == "es" echo Revisando Java: %JAVAPATH%
if "%GLILANG%" == "fr" echo Vrification de Java: %JAVAPATH%
if "%GLILANG%" == "ru" echo ஢ઠ Java: %JAVAPATH%
if exist "%JAVAPATH%\java.exe" goto checkGEMS

:noJava
    echo.
    if "%GLILANG%" == "en" echo Failed to locate an appropriate version of Java. You must install a
    if "%GLILANG%" == "en" echo Java Runtime Environment (version 1.4 or greater) before running the
    if "%GLILANG%" == "en" echo Greenstone Editor for Metadata Sets.

    if "%GLILANG%" == "es" echo No se pudo localizar una versin apropiada de Java. Usted deber
    if "%GLILANG%" == "es" echo instalar un Ambiente de Ejecucin Java (versin 1.4 o superior)
    if "%GLILANG%" == "es" echo antes de correr la Editar conjuntos de metadatos.

    if "%GLILANG%" == "fr" echo Une version adquate de Java n'a pas pu tre localise. Vous devez
    if "%GLILANG%" == "fr" echo installer un Java Runtime Environment (version 1.4 ou suprieur)
    if "%GLILANG%" == "fr" echo avant de dmarrer Editer les jeux de mta-donnes.

    if "%GLILANG%" == "ru" echo  㤠 । ⮭宦 ᮮ⢥饩 ᨨ Java.
    if "%GLILANG%" == "ru" echo   ⠭ Java Runtime Environment ( 1.4  ) । 
    if "%GLILANG%" == "ru" echo   .
    goto exit


:checkGEMS
:: ---- Check that the GEMS has been compiled ----
if exist "classes/org/greenstone/gatherer/gems/GEMS.class" goto runGEMS
if exist "GLI.jar" goto runGEMS
    echo.
    if "%GLILANG%" == "en" echo You need to compile the Greenstone Editor for Metadata Sets (using makegli.bat)
    if "%GLILANG%" == "en" echo before running this script.

    if "%GLILANG%" == "es" echo Usted necesita compilar la Editar conjuntos de metadatos
    if "%GLILANG%" == "es" echo (por medio de makegli.bat) antes de ejecutar este guin.

    if "%GLILANG%" == "fr" echo Vous devez compiler le Editer les jeux de mta-donnes (en utilisant
    if "%GLILANG%" == "fr" echo makegli.bat) avant d'excuter ce script.

    if "%GLILANG%" == "ru" echo   ஢    (ᯮ makegli.bat)
    if "%GLILANG%" == "ru" echo ।  ⮣ ਯ
    goto exit


:runGEMS
:: ---- Finally, run the GEMS ----
echo.

if "%GLILANG%" == "en" echo Running the Greenstone Editor for Metadata Sets...
if "%GLILANG%" == "es" echo Ejecutando la Editar conjuntos de metadatos...
if "%GLILANG%" == "fr" echo Excution de Editer les jeux de mta-donnes
if "%GLILANG%" == "ru" echo 騩   ...

:: -Xms32M          To set minimum memory
:: -Xmx32M          To set maximum memory
:: -verbose:gc      To set garbage collection messages
:: -Xincgc          For incremental garbage collection
:: -Xprof           Function call profiling
:: -Xloggc:<file>   Write garbage collection log

"%JAVAPATH%\java" -cp classes/;GLI.jar;lib/apache.jar org.greenstone.gatherer.gems.GEMS -gsdl3 %GSDL3HOME% %1 %2 %3 %4 %5 %6 %7 %8 %9

if "%GLILANG%" == "en" echo Done!
if "%GLILANG%" == "es" echo Hecho!
if "%GLILANG%" == "fr" echo Termin!
if "%GLILANG%" == "ru" echo 믮!
goto done

:exit
echo.
pause

:done
:: ---- Clean up ----
set JAVAPATH=
