<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:java="http://xml.apache.org/xslt/java"
  xmlns:util="xalan://org.greenstone.gsdl3.util.XSLTUtil"
  extension-element-prefixes="java util"
  exclude-result-prefixes="java util">
  
  <xsl:include href="style.xsl"/>
  <xsl:include href="classifiertools.xsl"/>
  <xsl:include href="berrytools.xsl"/>

  <xsl:output method="html"/>  
  <xsl:variable name="berrybasketswitch"><xsl:value-of select="/page/pageRequest/paramList/param[@name='berrybasket']/@value"/></xsl:variable> 

  <xsl:template name="pageTitle">
    <xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'gsdl')"/>
  </xsl:template>

  <!-- page specific style goes here -->
  <xsl:template name="pageStyle">
    <!--<xsl:if test="$berryBaskets = 'true'">-->
    <xsl:if test="$berrybasketswitch = 'on'">
      <xsl:call-template name="berryStyleSheet"/>  
      <xsl:call-template name="js-library"/>
    </xsl:if>
  </xsl:template>


  <xsl:template match="pageResponse">
    <xsl:variable name="collName"><xsl:value-of select="/page/pageRequest/paramList/param[@name='c']/@value"/></xsl:variable>
    <xsl:variable name="serviceName"><xsl:value-of select="service/@name"/></xsl:variable>
    <xsl:call-template name="standardPageBanner">
      <xsl:with-param name="collName" select="$collName"/>
    </xsl:call-template>

    <xsl:call-template name="navigationBar">
      <xsl:with-param name="collName" select="$collName"/>
    </xsl:call-template>      
 
    <div id="content">
      <xsl:apply-templates select="service/classifierList">
        <xsl:with-param name="collName" select="$collName"/>
        <xsl:with-param name="serviceName" select="$serviceName"/>
      </xsl:apply-templates>
      
    <!--<xsl:if test="$berryBaskets = 'true'">-->
    <xsl:if test="$berrybasketswitch = 'on'">
      <xsl:call-template name="berrybasket" />
    </xsl:if>  
    <xsl:apply-templates select="classifier">
      <xsl:with-param name="collName" select="$collName"/>
      <xsl:with-param name="serviceName" select="$serviceName"/>
    </xsl:apply-templates>
    </div>
  </xsl:template>
  
  <xsl:template match="classifierList">
    <xsl:param name="collName"/>
    <xsl:param name="serviceName"/>
    <xsl:variable name="selected" select="/page/pageResponse/classifier/@name"/>
   <ul id="classifierlist">
	<xsl:for-each select="classifier">
	  <xsl:choose>
	    <xsl:when test="@name=$selected">
	         <li id="activeclassifier"><xsl:value-of select="displayItem[@name='name']"/></li>
	    </xsl:when>
	    <xsl:otherwise>
	      <li><a href="{$library_name}?a=b&amp;rt=r&amp;s={$serviceName}&amp;c={$collName}&amp;cl={@name}"><xsl:value-of select="displayItem[@name='name']"/></a></li></xsl:otherwise></xsl:choose>
         
 	</xsl:for-each>
    </ul>
   </xsl:template>

</xsl:stylesheet>






